/*
 * ============================================================================
 * Licensed Materials - Property of IBM
 *  WebSphere sMash
 *
 * (C) Copyright IBM Corp. 2007  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 * ============================================================================
 */ 

request.headers.out."Content-Type"="application/json"

Map<String, String> map = new HashMap<String, String>(2);
map.put("errorMessage", request.error.message[]);
map.put("errorStatusCode", request.status[]);

def exception = request.error.exception[];
if (exception != null) {
while (exception.getCause() != null)
    exception = exception.getCause();
    map.put("rootCause", exception.getClass().getName() + ": " + zero.util.XMLEncoder.escapeXML(exception.getMessage()));
}

zero.json.Json.encode(map, request.writer[]);
